Rahul Thachilath Rahul Thachilath -4 years ago 119
Java Question

Using Spring 4.0.9 with myBatis 2.3.5

I have a Project with framework Spring 3.0.3, myBatis 2.3.5.
I want to migrate to Spring 4.0.9. The problem i am facing is spring have stopped supporting myBatis from 3.0.5. The myBatis part is heaving used so cannot shift to hibernate or even myBatis 3.x. Any Help would be appreciated.

Answer Source

I have used the ibatis package from Spring 3.0.3.RELEASE. From the test results till now it is integrated nicely even the spring transaction is working good with it. Will be doing further testing and will post if it have any side effects.

Recommended from our users: Dynamic Network Monitoring from WhatsUp Gold from IPSwitch. Free Download